=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/simplefilehost-$1\.tar\.gz/ \
  https://github.com/Kolya080808/SimpleFileHost/tags .*/archive/refs/tags/v?(\d\S*)\.tar\.gz
# Note: GitHub autogenerated tarballs are not signed; uscan pgpsigurlmangle not used.
